Subject: Re: bug#8563: 24.0.50; TeX IM \aleph should insert math aleph, not Hebrew aleph

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 28 Apr 2011 09:31:15 +1000

Eli Zaretskii wrote:
> > From: [email-masked] (Trent W. Buck)
> > Date: Wed, 27 Apr 2011 14:01:47 +1000
> > Cc: [email-masked]
> > 
> > When I select the TeX input method (^X^M^\TeX^M) then insert an aleph
> > (\aleph), it inserts a hebrew aleph (א, D790 HEBREW LETTER ALEF).
> > 
> > Since the TeX IM is probably being used for math (cf. a hebraic IM), it
> > should instead insert the math codepoint (ℵ, E284B5, ALEF SYMBOL).
> 
> Thanks for pointing this out.  I fixed this on the emacs-23 branch, it
> should be merged to the trunk in a few days.

Note that this may not be the only instance.  Someone sufficiently
bored could go through the whole list of TeX IM-inserted codepoints
and look for math versions - dunno if that's the Right Thing.